QT       += core gui serialport sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

CONFIG += c++17

msvc{
    QMAKE_CFLAGS += /utf-8
    QMAKE_CXXFLAGS += /utf-8
}

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += \
    $$PWD\src\include\

SOURCES += \
    src/cpp/globalParams.cpp \
    src/cpp/main.cpp \
    src/cpp/mainwindow.cpp \
    src/cpp/loginWin.cpp \
    src/cpp/posTestWin.cpp \
    src/cpp/qcustomplot.cpp \
    src/cpp/serialport.cpp \
    src/cpp/sqlitedb.cpp \
    src/cpp/titlebar.cpp \
    src/cpp/utils.cpp \
    src/cpp/interfaceTestWin.cpp \
    src/cpp/msgInputWin.cpp \
    src/cpp/statusTestWin.cpp \
    src/cpp/precisionTestWin.cpp \
    src/cpp/testThread.cpp \
    src/cpp/rnSignalPainter.cpp

HEADERS += \
    src/include/posTestWin.h \
    src/include/globalParams.h \
    src/include/interfaceTestWin.h \
    src/include/mainwindow.h \
    src/include/loginWin.h \
    src/include/msgInputWin.h \
    src/include/precisionTestWin.h \
    src/include/qcustomplot.h \
    src/include/rnSignalPainter.h \
    src/include/serialport.h \
    src/include/sqlitedb.h \
    src/include/statusTestWin.h \
    src/include/testThread.h \
    src/include/titlebar.h \
    src/include/utils.h

FORMS += \
    src/ui/rnSignalPainter.ui \
    src/ui/precisionTestWin.ui \
    src/ui/posTestWin.ui \
    src/ui/interfaceTestWin.ui \
    src/ui/msgInputWin.ui \
    src/ui/statusTestWin.ui \
    src/ui/mainwindow.ui \
    src/ui/loginWin.ui \
    src/ui/titlebar.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    images.qrc \

RC_ICONS = images/logo.ico
