#include "rnSignalPainter.h"
#include "ui_rnSignalPainter.h"
#include "globalParams.h"
#include <QPainter>

RnSignalPainter::RnSignalPainter(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::RnSignalPainter)
{
    ui->setupUi(this);
}

RnSignalPainter::~RnSignalPainter()
{
    delete ui;
}

void RnSignalPainter::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
    painter.setRenderHint(QPainter::Antialiasing);
    painter.setRenderHint(QPainter::TextAntialiasing);
    QPen pen;
    pen.setWidth(1);
    pen.setColor(Qt::black);
    pen.setStyle(Qt::SolidLine);
    painter.setPen(pen);

    int H=this->height(); //绘图区高度

    QFontMetrics fontMetrics = painter.fontMetrics();
    int fontHeight = fontMetrics.height();
    int margin = 5;
    int spacing = 5;

    painter.drawText(margin,margin+fontMetrics.ascent(),QString("当前定位模式:%1").arg(globalParams::curRnPosMode));



    //坐标轴


    return QWidget::paintEvent(event);
}
