#ifndef INTERFACETESTWIN_H
#define INTERFACETESTWIN_H

#include <QWidget>
#include <QStandardItemModel>
#include <QItemSelectionModel>
#include "sqlitedb.h"

namespace Ui {
class InterfaceTestWin;
}

class InterfaceTestWin : public QWidget
{
    Q_OBJECT

public:
    explicit InterfaceTestWin(QWidget *parent = nullptr);
    ~InterfaceTestWin();

private slots:
    void serialRecvResultHandle(bool result);
    void serialSendResultHandle(bool result);
    void on_btnSerialTest_clicked();

private:
    Ui::InterfaceTestWin *ui;
    QStandardItemModel *serialModel;
    QItemSelectionModel *serialSelect;
    QStandardItemModel *canModel;
    QItemSelectionModel *canSelect;

};

#endif // INTERFACETESTWIN_H
