﻿#ifndef LOGINWIN_H
#define LOGINWIN_H

#include <QWidget>
#include <QMap>

namespace Ui {
class LoginWin;
}

class LoginWin : public QWidget
{
    Q_OBJECT

public:
    explicit LoginWin(QWidget *parent = 0);
    ~LoginWin();

signals:
    void loginSignal();

private slots:
    void windowCloseHandle();
    void on_btnLogin_clicked();
    void on_cmbName_currentTextChanged(const QString &arg1);

protected:
    bool nativeEvent(const QByteArray& eventType, void* message, long *result) override;

private:
    Ui::LoginWin *ui;
    QMap<QString,QString> nameMap;
    void readCfg();
    void saveCfg();
};

#endif // LOGINWIN_H
