#ifndef MSGINPUTWIN_H
#define MSGINPUTWIN_H

#include <QWidget>
#include <QStandardItemModel>
#include <QItemSelectionModel>

namespace Ui {
class MsgInputWin;
}

class MsgInputWin : public QWidget
{
    Q_OBJECT

public:
    explicit MsgInputWin(QWidget *parent = nullptr);
    ~MsgInputWin();

private slots:
    void dataChangedHandle(const QModelIndex &topLeft, const QModelIndex &bottomRight);
    void currentCarTypeChangedHandle(const QString &text);

private:
    Ui::MsgInputWin *ui;
    QStandardItemModel *msgModel;
    QItemSelectionModel *msgSelect;
    void readCfg();
    void saveCfg();
};

#endif // MSGINPUTWIN_H
