#ifndef POSTESTWIN_H
#define POSTESTWIN_H

#include <QWidget>
#include <QStandardItemModel>
#include <QItemSelectionModel>

namespace Ui {
class PosTestWin;
}

class PosTestWin : public QWidget
{
    Q_OBJECT

public:
    explicit PosTestWin(QWidget *parent = nullptr);
    ~PosTestWin();

private slots:
    void on_btnRdTest_clicked();
    void on_btnRnTest_clicked();
    void view_signal_clicked();

private:
    Ui::PosTestWin *ui;
    QStandardItemModel *rnModel;
    QItemSelectionModel *rnSelect;
    QStandardItemModel *rdModel;
    QItemSelectionModel *rdSelect;
};

#endif // POSTESTWIN_H
