#include "mainwindow.h"
#include "loginWin.h"
#include "sqlitedb.h"
#include <QApplication>
#include <QTextCodec>
#include <QFont>

int main(int argc, char *argv[])
{
    QTextCodec *codec = QTextCodec::codecForName("GB2312");
    QTextCodec::setCodecForLocale(codec);
    QApplication a(argc, argv);
    QFont font = a.font();
    font.setFamily("Microsoft YaHei UI");
    font.setPointSize(9);
    a.setFont(font);
    LoginWin login;
    login.show();
    MainWindow w;
    w.hide();
    w.connect(&login,SIGNAL(loginSignal()),&w,SLOT(loginHandle()));

    SQLITEDB::getInstance();
    return a.exec();
}
