#include "precisionTestWin.h"
#include "ui_precisionTestWin.h"
#include <QFont>
#include <QDebug>

PrecisionTestWin::PrecisionTestWin(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::PrecisionTestWin)
{
    ui->setupUi(this);
    QFont font = ui->cmbFormat->font();
    ui->cmbFormat->setCurrentIndex(0);
}

PrecisionTestWin::~PrecisionTestWin()
{
    delete ui;
}

void PrecisionTestWin::on_cmbFormat_currentIndexChanged(int index)
{
    if(index==0){
        ui->lbLonDeg->setVisible(false);
        ui->leLonMinute->setVisible(false);
        ui->lbLonMinute->setVisible(false);
        ui->leLonSec->setVisible(false);
        ui->lbLonSec->setVisible(false);

        ui->lbLatDeg->setVisible(false);
        ui->leLatMinute->setVisible(false);
        ui->lbLatMinute->setVisible(false);
        ui->leLatSec->setVisible(false);
        ui->lbLatSec->setVisible(false);
    }else if(index==1){
        ui->lbLonDeg->setVisible(true);
        ui->leLonMinute->setVisible(false);
        ui->lbLonMinute->setVisible(false);
        ui->leLonSec->setVisible(false);
        ui->lbLonSec->setVisible(false);

        ui->lbLatDeg->setVisible(true);
        ui->leLatMinute->setVisible(false);
        ui->lbLatMinute->setVisible(false);
        ui->leLatSec->setVisible(false);
        ui->lbLatSec->setVisible(false);
    }else if(index==2){
        ui->lbLonDeg->setVisible(true);
        ui->leLonMinute->setVisible(true);
        ui->lbLonMinute->setVisible(true);
        ui->leLonSec->setVisible(true);
        ui->lbLonSec->setVisible(true);

        ui->lbLatDeg->setVisible(true);
        ui->leLatMinute->setVisible(true);
        ui->lbLatMinute->setVisible(true);
        ui->leLatSec->setVisible(true);
        ui->lbLatSec->setVisible(true);
    }
}

